import influxframework
from influxframework.cache_manager import clear_defaults_cache


def execute():
	influxframework.db.set_default(
		"suspend_email_queue",
		influxframework.db.get_default("hold_queue", "Administrator") or 0,
		parent="__default",
	)

	influxframework.db.delete("DefaultValue", {"defkey": "hold_queue"})
	clear_defaults_cache()
